"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = __importDefault(require("path"));
var Loader_1 = __importDefault(require("./Loader"));
var index_1 = __importDefault(require("fork-ts-checker-webpack-plugin/lib/index"));
var Typescript = (function (_super) {
    __extends(Typescript, _super);
    function Typescript() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Typescript.prototype.register = function () {
        this.bundler.webpackChain.module
            .rule("typescript")
            .test(/\.tsx?$/)
            .use("thread-loader")
            .loader("thread-loader")
            .end()
            .use("babel-loader")
            .loader(path_1.default.join(__dirname, "BabelLoader"))
            .options({
            entryFiles: this.options.entryFiles,
        })
            .end()
            .use("ts-loader")
            .loader("ts-loader")
            .options({
            happyPackMode: true,
            appendTsSuffixTo: [/\.vue$/],
            transpileOnly: this.bundler.env.isHot || this.bundler.env.isProduction,
        })
            .end();
        if (this.bundler.env.isHot &&
            !this.bundler.webpackChain.plugins.has("ts-checker")) {
            this.bundler.webpackChain
                .plugin("ts-checker")
                .use(index_1.default, [
                {
                    typescript: {
                        extensions: {
                            vue: true,
                        },
                    },
                },
            ]);
        }
    };
    return Typescript;
}(Loader_1.default));
exports.default = Typescript;
//# sourceMappingURL=Typescript.js.map