"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = __importDefault(require("path"));
var glob_all_1 = __importDefault(require("glob-all"));
var Plugin_1 = __importDefault(require("./Plugin"));
var purgecss_webpack_plugin_1 = __importDefault(require("purgecss-webpack-plugin"));
var FILE_TYPES = ["js", "ts", "vue", "html"];
var PurgeCss = (function (_super) {
    __extends(PurgeCss, _super);
    function PurgeCss() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    PurgeCss.prototype.register = function () {
        var _this = this;
        this.scanDirectories = [];
        this.options.paths.forEach(function (directory) {
            _this.addToScannedDirectories(directory);
        });
        this.bundler.webpackChain.plugin("purge-css").use(purgecss_webpack_plugin_1.default, [
            {
                rejected: true,
                paths: glob_all_1.default.sync(this.scanDirectories, { nodir: true }),
            },
        ]);
    };
    PurgeCss.prototype.addToScannedDirectories = function (scanPath) {
        var _this = this;
        FILE_TYPES.forEach(function (type) {
            _this.scanDirectories.push(path_1.default.join(_this.bundler.config.root, scanPath.replace(/\/+$/, "") + "/**/*." + type));
        });
    };
    return PurgeCss;
}(Plugin_1.default));
exports.default = PurgeCss;
//# sourceMappingURL=PurgeCss.js.map