import Copy from "./Copy";
import Html from "./Html";
import Clean from "./Clean";
import Eslint from "./Eslint";
import PurgeCss from "./PurgeCss";
import WebpackBar from "./WebpackBar";
import BundleAnalyzer from "./BundleAnalyzer";
import CaseSensitivePaths from "./CaseSensitivePaths";
import AggressiveSplitting from "./AggressiveSplitting";
import DefineEnvironmentVariables from "./DefineEnvironmentVariables";
declare const _default: {
    Copy: typeof Copy;
    Html: typeof Html;
    Clean: typeof Clean;
    Eslint: typeof Eslint;
    PurgeCss: typeof PurgeCss;
    WebpackBar: typeof WebpackBar;
    BundleAnalyzer: typeof BundleAnalyzer;
    CaseSensitivePaths: typeof CaseSensitivePaths;
    AggressiveSplitting: typeof AggressiveSplitting;
    DefineEnvironmentVariables: typeof DefineEnvironmentVariables;
};
export default _default;
