"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var child_process_1 = __importDefault(require("child_process"));
function getDependency(dependency) {
    try {
        return require(dependency);
    }
    catch (e) {
        console.log("Installing " + dependency + ".");
        child_process_1.default.execSync("npm install " + dependency + " --save-dev");
        console.log("Finished, re-run this command.");
        return process.exit(0);
    }
}
exports.default = getDependency;
//# sourceMappingURL=getDependency.js.map